module Panda.View.Theme.BluePrint.Template.Header where

import Panda.Helper.Env
import Prelude hiding ((.), (/), (^), id, span)
import qualified Panda.Config.Global as G


html_head  = header << ([meta_tag, title_tag, rss_tag] ++ css_list ++ js_list )

title_tag  = thetitle << G.blog_title
rss_tag    = rss_link "rss.xml"

-- css
css_list   = [screen_css, wp_css, custom_css]
screen_css = css_link "/theme/blueprint/wp/css/screen.css"
wp_css     = css_link "/theme/blueprint/wp/css/blueprint-wp.css"
custom_css = css_link "/theme/blueprint/wp/css/custom.css"


-- js
js_list          = [jquery_js, jquery_param, jquery_highlight, custom_js]
jquery_js        = js_link "/js/lib/jquery/jquery-1.2.6.min.js"
jquery_param     = js_link "/js/lib/jquery/jquery.getUrlParam.js"
jquery_highlight = js_link "/js/lib/jquery/jquery.highlight-2.js"
custom_js        = js_link "/js/custom.js"
